Bug 138595 - FC2: application-specific mouse pointer hosed
Summary: FC2: application-specific mouse pointer hosed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-10 04:06 UTC by Jon Coker
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 10:48:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log file, per request (62.49 KB, text/plain)
2004-11-11 00:37 UTC, Jon Coker
no flags Details
Xorg config file, per request (2.84 KB, text/plain)
2004-11-11 00:42 UTC, Jon Coker
no flags Details

Description Jon Coker 2004-11-10 04:06:10 UTC
Description of problem:
It appears that when an application registers its own mouse pointer
for specific windows, and the mouse pointer (is supposed to) change to
a nonstandard pattern, the pointer looks like a random, vertical
stripe-y square about 100 pixels in dimension.  It changes back to a
normal pointer when the focus point moves out of the affected window.

This occurs with applications like chromium (game),  noteedit, and
ardour,  probably more.

Version-Release number of selected component (if applicable):
All x versions of FC2, including latest as of 11/7. 

How reproducible:
Always.

Steps to Reproduce:
1.  Start application (eg chromium)
2.  Observe hosed mouse pointer.
3.  continue using program.
  
Actual results:

Mouse pointer appears as random, vertical stripes.

Expected results:

Mouse pointer should be application-specific shape.

Additional info:

HP Vectra, Matrox G450 video,  IBM P260 display.  Appears to happen at
all screen resolutions.   Same applications do not cause this behavior
in FC1, identical hardware.

Comment 1 Mike A. Harris 2004-11-10 20:35:05 UTC
Please attach your X server log file and config file using the
link below.

Comment 2 Jon Coker 2004-11-11 00:37:12 UTC
Created attachment 106458 [details]
X server log file, per request

Comment 3 Jon Coker 2004-11-11 00:42:32 UTC
Created attachment 106459 [details]
Xorg config file, per request

Comment 4 Mike A. Harris 2004-11-25 21:35:07 UTC
Try adding the following to your X server config file in the video
card Device section:

    Option "swcursor"

Then quit X, and restart it.  Does this change the problem at all
in any way?

Comment 5 Jon Coker 2004-11-29 01:29:29 UTC
I added this line with no discernable effect.  (I added the line to
the section marked Section "Device" with Identifier "Videocard0").



Comment 6 Mike A. Harris 2005-02-01 10:48:25 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE" (FC3).


Note You need to log in before you can comment on or make changes to this bug.